package com.tmax.openframe.file;

import org.mapstruct.*;
import org.mapstruct.factory.*;
import ch.obermuhlner.math.big.BigDecimalMath;
import com.tmax.openframe.variable.group.COBTEST2_ITEM_REC;
import java.math.*;
import java.util.*;
import lombok.*;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
@Mapper()
public interface COBTEST2_COBTEST2_FD_ITEM_F_DoToCOBTEST2_ITEM_RECMapper {
    COBTEST2_COBTEST2_FD_ITEM_F_DoToCOBTEST2_ITEM_RECMapper INSTANCE = Mappers
            .getMapper(COBTEST2_COBTEST2_FD_ITEM_F_DoToCOBTEST2_ITEM_RECMapper.class);

    @Mapping(source = "ITEM_KEY.ITEM_CONT_NO", target = "ITEM_CONT_NO")
    @Mapping(source = "ITEM_KEY.ITEM_IITEM", target = "ITEM_IITEM")
    @Mapping(source = "ITEM_KEY.ITEM_IITEM_GB", target = "ITEM_IITEM_GB")
    @Mapping(source = "ITEM_LCYM", target = "ITEM_LCYM")
    @Mapping(source = "ITEM_LPMT", target = "ITEM_LPMT")
    COBTEST2_ITEM_REC toCOBTEST2_ITEM_REC(COBTEST2_COBTEST2_FD_ITEM_F_Do source);

    @Mapping(source = "ITEM_CONT_NO", target = "ITEM_KEY.ITEM_CONT_NO")
    @Mapping(source = "ITEM_IITEM", target = "ITEM_KEY.ITEM_IITEM")
    @Mapping(source = "ITEM_IITEM_GB", target = "ITEM_KEY.ITEM_IITEM_GB")
    @Mapping(source = "ITEM_LCYM", target = "ITEM_LCYM")
    @Mapping(source = "ITEM_LPMT", target = "ITEM_LPMT")
    COBTEST2_COBTEST2_FD_ITEM_F_Do toCOBTEST2_COBTEST2_FD_ITEM_F_Do(
            COBTEST2_ITEM_REC source);
}
